import { FieldInfo } from 'model-util-base'
import { ConditionUtil, ConditionUtilImpl, FieldUtil, TableUtilImpl, IdType, JoinTable, SubTable } from 'model-util'
import { Container, Singleton } from 'typescript-ioc' 
import { CnProjectDeploy } from '../models/index' 

import {CnProjectBuildMU} from './CnProjectBuild' 
import {CnProjectMU} from './CnProject' 
import {CnProjectContextMU} from './CnProjectContext' 


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-11-08 13:26
 */
interface CnProjectDeployCU extends ConditionUtil<CnProjectDeployCU>{
    ID:FieldUtil<CnProjectDeployCU>;
    SERVICE_CENTER_ID:FieldUtil<CnProjectDeployCU>;
    APP_ID:FieldUtil<CnProjectDeployCU>;
    ENV_ID:FieldUtil<CnProjectDeployCU>;
    ENV_CODE:FieldUtil<CnProjectDeployCU>;
    K8S_ID:FieldUtil<CnProjectDeployCU>;
    K8S_NAME:FieldUtil<CnProjectDeployCU>;
    PROJECT_ID:FieldUtil<CnProjectDeployCU>;
    GATEWAY_ID:FieldUtil<CnProjectDeployCU>;
    PROJECT_VERSION:FieldUtil<CnProjectDeployCU>;
    SPEC_TEMPLATE_ID:FieldUtil<CnProjectDeployCU>;
    METRICS_TEMPLATE_ID:FieldUtil<CnProjectDeployCU>;
    METRICS_TEMPLATE_NAME:FieldUtil<CnProjectDeployCU>;
    SPEC_TEMPLATE_NAME:FieldUtil<CnProjectDeployCU>;
    MIN_INSTANCE:FieldUtil<CnProjectDeployCU>;
    MAX_INSTANCE:FieldUtil<CnProjectDeployCU>;
    CPU:FieldUtil<CnProjectDeployCU>;
    MEMORY:FieldUtil<CnProjectDeployCU>;
    APP_OPTIONS_CONFIG:FieldUtil<CnProjectDeployCU>;
    KAFKA_CONFIG:FieldUtil<CnProjectDeployCU>;
    DEPLOY_STATUS:FieldUtil<CnProjectDeployCU>;
    DEPLOY_MSG:FieldUtil<CnProjectDeployCU>;
    DEPLOY_TAG:FieldUtil<CnProjectDeployCU>;
    DELETED:FieldUtil<CnProjectDeployCU>;
    CREATE_USER_ID:FieldUtil<CnProjectDeployCU>;
    CREATE_TIME:FieldUtil<CnProjectDeployCU>;
    UPDATE_USER_ID:FieldUtil<CnProjectDeployCU>;
    UPDATE_TIME:FieldUtil<CnProjectDeployCU>;
    GRAY_SCALE:FieldUtil<CnProjectDeployCU>;
    PROJECT_VERSION_ID:FieldUtil<CnProjectDeployCU>;
    PROJECT_BUILD_ID:FieldUtil<CnProjectDeployCU>;
}

class CnProjectDeployCUImpl extends ConditionUtilImpl<CnProjectDeployCUImpl> implements CnProjectDeployCU{ 
    newInstance(): CnProjectDeployCUImpl {
        return new CnProjectDeployCUImpl();
    } 
    get ID(): FieldUtil<CnProjectDeployCU>{  
        return new FieldUtil('id','id','主键', this);
    }
    get SERVICE_CENTER_ID(): FieldUtil<CnProjectDeployCU>{  
        return new FieldUtil('service_center_id','serviceCenterId','服务中心ID', this);
    }
    get APP_ID(): FieldUtil<CnProjectDeployCU>{  
        return new FieldUtil('app_id','appId','应用ID', this);
    }
    get ENV_ID(): FieldUtil<CnProjectDeployCU>{  
        return new FieldUtil('env_id','envId','环境ID', this);
    }
    get ENV_CODE(): FieldUtil<CnProjectDeployCU>{  
        return new FieldUtil('env_code','envCode','TEST/PROD...', this);
    }
    get K8S_ID(): FieldUtil<CnProjectDeployCU>{  
        return new FieldUtil('k8s_id','k8sId','K8S集群ID', this);
    }
    get K8S_NAME(): FieldUtil<CnProjectDeployCU>{  
        return new FieldUtil('k8s_name','k8sName','K8S集群名称', this);
    }
    get PROJECT_ID(): FieldUtil<CnProjectDeployCU>{  
        return new FieldUtil('project_id','projectId','项目ID', this);
    }
    get GATEWAY_ID(): FieldUtil<CnProjectDeployCU>{  
        return new FieldUtil('gateway_id','gatewayId','网关ID', this);
    }
    get PROJECT_VERSION(): FieldUtil<CnProjectDeployCU>{  
        return new FieldUtil('project_version','projectVersion','项目版本', this);
    }
    get SPEC_TEMPLATE_ID(): FieldUtil<CnProjectDeployCU>{  
        return new FieldUtil('spec_template_id','specTemplateId','容器规格id', this);
    }
    get METRICS_TEMPLATE_ID(): FieldUtil<CnProjectDeployCU>{  
        return new FieldUtil('metrics_template_id','metricsTemplateId','弹性伸缩模板ID', this);
    }
    get METRICS_TEMPLATE_NAME(): FieldUtil<CnProjectDeployCU>{  
        return new FieldUtil('metrics_template_name','metricsTemplateName','弹性伸缩模板名称', this);
    }
    get SPEC_TEMPLATE_NAME(): FieldUtil<CnProjectDeployCU>{  
        return new FieldUtil('spec_template_name','specTemplateName','容器规格名称', this);
    }
    get MIN_INSTANCE(): FieldUtil<CnProjectDeployCU>{  
        return new FieldUtil('min_instance','minInstance','1', this);
    }
    get MAX_INSTANCE(): FieldUtil<CnProjectDeployCU>{  
        return new FieldUtil('max_instance','maxInstance','8', this);
    }
    get CPU(): FieldUtil<CnProjectDeployCU>{  
        return new FieldUtil('cpu','cpu','cpu', this);
    }
    get MEMORY(): FieldUtil<CnProjectDeployCU>{  
        return new FieldUtil('memory','memory','内存', this);
    }
    get APP_OPTIONS_CONFIG(): FieldUtil<CnProjectDeployCU>{  
        return new FieldUtil('app_options_config','appOptionsConfig','应用选项配置JSON', this);
    }
    get KAFKA_CONFIG(): FieldUtil<CnProjectDeployCU>{  
        return new FieldUtil('kafka_config','kafkaConfig','Kafka配置', this);
    }
    get DEPLOY_STATUS(): FieldUtil<CnProjectDeployCU>{  
        return new FieldUtil('deploy_status','deployStatus','0-已部署、1-待部署、2-部署中、3-部署失败、4-待释放、5-停止中、6-已释放、7-释放失败', this);
    }
    get DEPLOY_MSG(): FieldUtil<CnProjectDeployCU>{  
        return new FieldUtil('deploy_msg','deployMsg','部署日志信息', this);
    }
    get DEPLOY_TAG(): FieldUtil<CnProjectDeployCU>{  
        return new FieldUtil('deploy_tag','deployTag','部署标记', this);
    }
    get DELETED(): FieldUtil<CnProjectDeployCU>{  
        return new FieldUtil('deleted','deleted','删除标记', this);
    }
    get CREATE_USER_ID(): FieldUtil<CnProjectDeployCU>{  
        return new FieldUtil('create_user_id','createUserId','创建人', this);
    }
    get CREATE_TIME(): FieldUtil<CnProjectDeployCU>{  
        return new FieldUtil('create_time','createTime','创建时间', this);
    }
    get UPDATE_USER_ID(): FieldUtil<CnProjectDeployCU>{  
        return new FieldUtil('update_user_id','updateUserId','更新人', this);
    }
    get UPDATE_TIME(): FieldUtil<CnProjectDeployCU>{  
        return new FieldUtil('update_time','updateTime','更新时间', this);
    }
    get GRAY_SCALE(): FieldUtil<CnProjectDeployCU>{  
        return new FieldUtil('gray_scale','grayScale','灰度比例', this);
    }
    get PROJECT_VERSION_ID(): FieldUtil<CnProjectDeployCU>{  
        return new FieldUtil('project_version_id','projectVersionId','project_version_id', this);
    }
    get PROJECT_BUILD_ID(): FieldUtil<CnProjectDeployCU>{  
        return new FieldUtil('project_build_id','projectBuildId','project_build_id', this);
    }
    get BUILD_OSS_FILENAME(): FieldInfo{  
        return new FieldInfo('buildOssFilename','构建文件OSS文件名称');
    }
    get PROJECT_NAME(): FieldInfo{  
        return new FieldInfo('projectName','名称');
    }
    get HEALTHY_URL(): FieldInfo{  
        return new FieldInfo('healthyUrl','健康检查url');
    }
    get MAIN_CLASS(): FieldInfo{  
        return new FieldInfo('mainClass','主类');
    }
    get START_TYPE(): FieldInfo{  
        return new FieldInfo('startType','启动方式：0-java wrapper、1-springboot jar、2-tomcat、3-自定');
    }
    get START_SCRIPT(): FieldInfo{  
        return new FieldInfo('startScript','自定义启动脚本');
    }
    get BUILD_TYPE(): FieldInfo{  
        return new FieldInfo('buildType','构建类型:jar、war、node、go');
    }
}

@Singleton 
class CnProjectDeployMU extends TableUtilImpl<CnProjectDeployCU,CnProjectDeploy>{ 
    tableName  = 'cn_project_deploy';
    tableFields  = ['id','service_center_id','app_id','env_id','env_code','k8s_id','k8s_name','project_id','gateway_id','project_version','spec_template_id','metrics_template_id','metrics_template_name','spec_template_name','min_instance','max_instance','cpu','memory','app_options_config','kafka_config','deploy_status','deploy_msg','deploy_tag','deleted','create_user_id','create_time','update_user_id','update_time','gray_scale','project_version_id','project_build_id'];
    modelFields  = ['id','serviceCenterId','appId','envId','envCode','k8sId','k8sName','projectId','gatewayId','projectVersion','specTemplateId','metricsTemplateId','metricsTemplateName','specTemplateName','minInstance','maxInstance','cpu','memory','appOptionsConfig','kafkaConfig','deployStatus','deployMsg','deployTag','deleted','createUserId','createTime','updateUserId','updateTime','grayScale','projectVersionId','projectBuildId','buildOssFilename','projectName','healthyUrl','mainClass','startType','startScript','buildType'];
    modelIdFields  = ['id'];
    tableIdFields  = ['id'];
    idType = IdType.CUSTOM;
    joinTables = [{
            joinByDefault: true,
            foreignKeyFields: [CnProjectDeployMU.PROJECT_BUILD_ID],
            joinIdFields: [CnProjectBuildMU.ID],
            getTableUtil: ()=>{
                return Container.get(CnProjectBuildMU);
            },
            fields: [
                {
                    fieldUtil: CnProjectBuildMU.OSS_FILENAME,
                    alias: 'buildOssFilename'
                }
            ]

        } as JoinTable

        ,{
            joinByDefault: true,
            foreignKeyFields: [CnProjectDeployMU.PROJECT_ID],
            joinIdFields: [CnProjectMU.ID],
            getTableUtil: ()=>{
                return Container.get(CnProjectMU);
            },
            fields: [
                {
                    fieldUtil: CnProjectMU.NAME,
                    alias: 'projectName'
                }
                ,{
                    fieldUtil: CnProjectMU.HEALTHY_URL,
                    alias: 'healthyUrl'
                }
                ,{
                    fieldUtil: CnProjectMU.MAIN_CLASS,
                    alias: 'mainClass'
                }
                ,{
                    fieldUtil: CnProjectMU.START_TYPE,
                    alias: 'startType'
                }
                ,{
                    fieldUtil: CnProjectMU.START_SCRIPT,
                    alias: 'startScript'
                }
                ,{
                    fieldUtil: CnProjectMU.BUILD_TYPE,
                    alias: 'buildType'
                }
            ]

        } as JoinTable

];
    subTables = [{
            name: 'cnProjectContext',
            parentIdFields: [CnProjectDeployMU.PROJECT_ID],
            foreignKeyFields: [CnProjectContextMU.PROJECT_ID],
            getTableUtil: ()=>{
                return Container.get(CnProjectContextMU);
            }
        } as SubTable

];

    createConditionUtil(): CnProjectDeployCU {
        return new CnProjectDeployCUImpl();
    }   

    static get ID(): FieldUtil<CnProjectDeployCU>{ 
        return new FieldUtil('id','id','主键', new CnProjectDeployCUImpl());
    }
    static get SERVICE_CENTER_ID(): FieldUtil<CnProjectDeployCU>{ 
        return new FieldUtil('service_center_id','serviceCenterId','服务中心ID', new CnProjectDeployCUImpl());
    }
    static get APP_ID(): FieldUtil<CnProjectDeployCU>{ 
        return new FieldUtil('app_id','appId','应用ID', new CnProjectDeployCUImpl());
    }
    static get ENV_ID(): FieldUtil<CnProjectDeployCU>{ 
        return new FieldUtil('env_id','envId','环境ID', new CnProjectDeployCUImpl());
    }
    static get ENV_CODE(): FieldUtil<CnProjectDeployCU>{ 
        return new FieldUtil('env_code','envCode','TEST/PROD...', new CnProjectDeployCUImpl());
    }
    static get K8S_ID(): FieldUtil<CnProjectDeployCU>{ 
        return new FieldUtil('k8s_id','k8sId','K8S集群ID', new CnProjectDeployCUImpl());
    }
    static get K8S_NAME(): FieldUtil<CnProjectDeployCU>{ 
        return new FieldUtil('k8s_name','k8sName','K8S集群名称', new CnProjectDeployCUImpl());
    }
    static get PROJECT_ID(): FieldUtil<CnProjectDeployCU>{ 
        return new FieldUtil('project_id','projectId','项目ID', new CnProjectDeployCUImpl());
    }
    static get GATEWAY_ID(): FieldUtil<CnProjectDeployCU>{ 
        return new FieldUtil('gateway_id','gatewayId','网关ID', new CnProjectDeployCUImpl());
    }
    static get PROJECT_VERSION(): FieldUtil<CnProjectDeployCU>{ 
        return new FieldUtil('project_version','projectVersion','项目版本', new CnProjectDeployCUImpl());
    }
    static get SPEC_TEMPLATE_ID(): FieldUtil<CnProjectDeployCU>{ 
        return new FieldUtil('spec_template_id','specTemplateId','容器规格id', new CnProjectDeployCUImpl());
    }
    static get METRICS_TEMPLATE_ID(): FieldUtil<CnProjectDeployCU>{ 
        return new FieldUtil('metrics_template_id','metricsTemplateId','弹性伸缩模板ID', new CnProjectDeployCUImpl());
    }
    static get METRICS_TEMPLATE_NAME(): FieldUtil<CnProjectDeployCU>{ 
        return new FieldUtil('metrics_template_name','metricsTemplateName','弹性伸缩模板名称', new CnProjectDeployCUImpl());
    }
    static get SPEC_TEMPLATE_NAME(): FieldUtil<CnProjectDeployCU>{ 
        return new FieldUtil('spec_template_name','specTemplateName','容器规格名称', new CnProjectDeployCUImpl());
    }
    static get MIN_INSTANCE(): FieldUtil<CnProjectDeployCU>{ 
        return new FieldUtil('min_instance','minInstance','1', new CnProjectDeployCUImpl());
    }
    static get MAX_INSTANCE(): FieldUtil<CnProjectDeployCU>{ 
        return new FieldUtil('max_instance','maxInstance','8', new CnProjectDeployCUImpl());
    }
    static get CPU(): FieldUtil<CnProjectDeployCU>{ 
        return new FieldUtil('cpu','cpu','cpu', new CnProjectDeployCUImpl());
    }
    static get MEMORY(): FieldUtil<CnProjectDeployCU>{ 
        return new FieldUtil('memory','memory','内存', new CnProjectDeployCUImpl());
    }
    static get APP_OPTIONS_CONFIG(): FieldUtil<CnProjectDeployCU>{ 
        return new FieldUtil('app_options_config','appOptionsConfig','应用选项配置JSON', new CnProjectDeployCUImpl());
    }
    static get KAFKA_CONFIG(): FieldUtil<CnProjectDeployCU>{ 
        return new FieldUtil('kafka_config','kafkaConfig','Kafka配置', new CnProjectDeployCUImpl());
    }
    static get DEPLOY_STATUS(): FieldUtil<CnProjectDeployCU>{ 
        return new FieldUtil('deploy_status','deployStatus','0-已部署、1-待部署、2-部署中、3-部署失败、4-待释放、5-停止中、6-已释放、7-释放失败', new CnProjectDeployCUImpl());
    }
    static get DEPLOY_MSG(): FieldUtil<CnProjectDeployCU>{ 
        return new FieldUtil('deploy_msg','deployMsg','部署日志信息', new CnProjectDeployCUImpl());
    }
    static get DEPLOY_TAG(): FieldUtil<CnProjectDeployCU>{ 
        return new FieldUtil('deploy_tag','deployTag','部署标记', new CnProjectDeployCUImpl());
    }
    static get DELETED(): FieldUtil<CnProjectDeployCU>{ 
        return new FieldUtil('deleted','deleted','删除标记', new CnProjectDeployCUImpl());
    }
    static get CREATE_USER_ID(): FieldUtil<CnProjectDeployCU>{ 
        return new FieldUtil('create_user_id','createUserId','创建人', new CnProjectDeployCUImpl());
    }
    static get CREATE_TIME(): FieldUtil<CnProjectDeployCU>{ 
        return new FieldUtil('create_time','createTime','创建时间', new CnProjectDeployCUImpl());
    }
    static get UPDATE_USER_ID(): FieldUtil<CnProjectDeployCU>{ 
        return new FieldUtil('update_user_id','updateUserId','更新人', new CnProjectDeployCUImpl());
    }
    static get UPDATE_TIME(): FieldUtil<CnProjectDeployCU>{ 
        return new FieldUtil('update_time','updateTime','更新时间', new CnProjectDeployCUImpl());
    }
    static get GRAY_SCALE(): FieldUtil<CnProjectDeployCU>{ 
        return new FieldUtil('gray_scale','grayScale','灰度比例', new CnProjectDeployCUImpl());
    }
    static get PROJECT_VERSION_ID(): FieldUtil<CnProjectDeployCU>{ 
        return new FieldUtil('project_version_id','projectVersionId','project_version_id', new CnProjectDeployCUImpl());
    }
    static get PROJECT_BUILD_ID(): FieldUtil<CnProjectDeployCU>{ 
        return new FieldUtil('project_build_id','projectBuildId','project_build_id', new CnProjectDeployCUImpl());
    }
    static get BUILD_OSS_FILENAME(): FieldInfo{  
        return new FieldInfo('buildOssFilename','构建文件OSS文件名称');
    }
    static get PROJECT_NAME(): FieldInfo{  
        return new FieldInfo('projectName','名称');
    }
    static get HEALTHY_URL(): FieldInfo{  
        return new FieldInfo('healthyUrl','健康检查url');
    }
    static get MAIN_CLASS(): FieldInfo{  
        return new FieldInfo('mainClass','主类');
    }
    static get START_TYPE(): FieldInfo{  
        return new FieldInfo('startType','启动方式：0-java wrapper、1-springboot jar、2-tomcat、3-自定');
    }
    static get START_SCRIPT(): FieldInfo{  
        return new FieldInfo('startScript','自定义启动脚本');
    }
    static get BUILD_TYPE(): FieldInfo{  
        return new FieldInfo('buildType','构建类型:jar、war、node、go');
    }

    get ID(): FieldUtil<CnProjectDeployCU>{ 
        return CnProjectDeployMU.ID;
    }
    get SERVICE_CENTER_ID(): FieldUtil<CnProjectDeployCU>{ 
        return CnProjectDeployMU.SERVICE_CENTER_ID;
    }
    get APP_ID(): FieldUtil<CnProjectDeployCU>{ 
        return CnProjectDeployMU.APP_ID;
    }
    get ENV_ID(): FieldUtil<CnProjectDeployCU>{ 
        return CnProjectDeployMU.ENV_ID;
    }
    get ENV_CODE(): FieldUtil<CnProjectDeployCU>{ 
        return CnProjectDeployMU.ENV_CODE;
    }
    get K8S_ID(): FieldUtil<CnProjectDeployCU>{ 
        return CnProjectDeployMU.K8S_ID;
    }
    get K8S_NAME(): FieldUtil<CnProjectDeployCU>{ 
        return CnProjectDeployMU.K8S_NAME;
    }
    get PROJECT_ID(): FieldUtil<CnProjectDeployCU>{ 
        return CnProjectDeployMU.PROJECT_ID;
    }
    get GATEWAY_ID(): FieldUtil<CnProjectDeployCU>{ 
        return CnProjectDeployMU.GATEWAY_ID;
    }
    get PROJECT_VERSION(): FieldUtil<CnProjectDeployCU>{ 
        return CnProjectDeployMU.PROJECT_VERSION;
    }
    get SPEC_TEMPLATE_ID(): FieldUtil<CnProjectDeployCU>{ 
        return CnProjectDeployMU.SPEC_TEMPLATE_ID;
    }
    get METRICS_TEMPLATE_ID(): FieldUtil<CnProjectDeployCU>{ 
        return CnProjectDeployMU.METRICS_TEMPLATE_ID;
    }
    get METRICS_TEMPLATE_NAME(): FieldUtil<CnProjectDeployCU>{ 
        return CnProjectDeployMU.METRICS_TEMPLATE_NAME;
    }
    get SPEC_TEMPLATE_NAME(): FieldUtil<CnProjectDeployCU>{ 
        return CnProjectDeployMU.SPEC_TEMPLATE_NAME;
    }
    get MIN_INSTANCE(): FieldUtil<CnProjectDeployCU>{ 
        return CnProjectDeployMU.MIN_INSTANCE;
    }
    get MAX_INSTANCE(): FieldUtil<CnProjectDeployCU>{ 
        return CnProjectDeployMU.MAX_INSTANCE;
    }
    get CPU(): FieldUtil<CnProjectDeployCU>{ 
        return CnProjectDeployMU.CPU;
    }
    get MEMORY(): FieldUtil<CnProjectDeployCU>{ 
        return CnProjectDeployMU.MEMORY;
    }
    get APP_OPTIONS_CONFIG(): FieldUtil<CnProjectDeployCU>{ 
        return CnProjectDeployMU.APP_OPTIONS_CONFIG;
    }
    get KAFKA_CONFIG(): FieldUtil<CnProjectDeployCU>{ 
        return CnProjectDeployMU.KAFKA_CONFIG;
    }
    get DEPLOY_STATUS(): FieldUtil<CnProjectDeployCU>{ 
        return CnProjectDeployMU.DEPLOY_STATUS;
    }
    get DEPLOY_MSG(): FieldUtil<CnProjectDeployCU>{ 
        return CnProjectDeployMU.DEPLOY_MSG;
    }
    get DEPLOY_TAG(): FieldUtil<CnProjectDeployCU>{ 
        return CnProjectDeployMU.DEPLOY_TAG;
    }
    get DELETED(): FieldUtil<CnProjectDeployCU>{ 
        return CnProjectDeployMU.DELETED;
    }
    get CREATE_USER_ID(): FieldUtil<CnProjectDeployCU>{ 
        return CnProjectDeployMU.CREATE_USER_ID;
    }
    get CREATE_TIME(): FieldUtil<CnProjectDeployCU>{ 
        return CnProjectDeployMU.CREATE_TIME;
    }
    get UPDATE_USER_ID(): FieldUtil<CnProjectDeployCU>{ 
        return CnProjectDeployMU.UPDATE_USER_ID;
    }
    get UPDATE_TIME(): FieldUtil<CnProjectDeployCU>{ 
        return CnProjectDeployMU.UPDATE_TIME;
    }
    get GRAY_SCALE(): FieldUtil<CnProjectDeployCU>{ 
        return CnProjectDeployMU.GRAY_SCALE;
    }
    get PROJECT_VERSION_ID(): FieldUtil<CnProjectDeployCU>{ 
        return CnProjectDeployMU.PROJECT_VERSION_ID;
    }
    get PROJECT_BUILD_ID(): FieldUtil<CnProjectDeployCU>{ 
        return CnProjectDeployMU.PROJECT_BUILD_ID;
    }
    get BUILD_OSS_FILENAME(): FieldInfo{  
        return CnProjectDeployMU.BUILD_OSS_FILENAME;
    }
    get PROJECT_NAME(): FieldInfo{  
        return CnProjectDeployMU.PROJECT_NAME;
    }
    get HEALTHY_URL(): FieldInfo{  
        return CnProjectDeployMU.HEALTHY_URL;
    }
    get MAIN_CLASS(): FieldInfo{  
        return CnProjectDeployMU.MAIN_CLASS;
    }
    get START_TYPE(): FieldInfo{  
        return CnProjectDeployMU.START_TYPE;
    }
    get START_SCRIPT(): FieldInfo{  
        return CnProjectDeployMU.START_SCRIPT;
    }
    get BUILD_TYPE(): FieldInfo{  
        return CnProjectDeployMU.BUILD_TYPE;
    }
}
export {CnProjectDeployMU, CnProjectDeployCU}
